// Top-level build file where you can add configuration options common to all sub-projects/modules.
buildscript {
    ext {
        compileSdkVersion = 33
        applicationId = "com.datarecovery.my.master"
        minSdkVersion = 21
        targetSdkVersion = 32

        versionCode = 115
        versionName = "1.1.5"

        hilt_version = '2.41'
        lifecycle_version = "2.6.1"
        gson_version = "2.10"
        glide_version = "4.15.1"
        mmkv_version = "1.3.0"
        lottie_version = "6.0.0"
        appcompat_version = "1.6.1"
        material_version = "1.9.0"
        protobuf_version = "3.18.1"
        eventbus_version = "3.3.1"
        immersionbar_version = "3.0.0"
        room_version = "2.5.1"
        swiperefreshlayout_version = "1.1.0"
        bugly_version = "4.1.9.3"
        lottie_version = "6.0.0"
        recyclerview_version = "1.3.0"
        constraintlayout_version = "2.1.4"
        stringfog_verstion = "4.0.1"
        dokit_version = "3.5.0"
    }

    dependencies {
        classpath 'com.android.tools.build:gradle:7.1.3'

        classpath "com.google.dagger:hilt-android-gradle-plugin:$hilt_version"
        classpath "com.umeng.umsdk:apm-plugin:0.0.1"

        classpath 'com.github.megatronking.stringfog:gradle-plugin:4.0.1'
        classpath 'com.github.megatronking.stringfog:xor:4.0.1'
        classpath "io.github.didi.dokit:dokitx-plugin:${dokit_version}"
    }

    configurations.configureEach {
        resolutionStrategy {
            // don't cache changing modules at all
            cacheChangingModulesFor 10, 'seconds'
        }
    }
}

plugins {
    id 'com.android.application' version '7.1.3' apply false
    id 'com.android.library' version '7.1.3' apply false
}

tasks.register('clean', Delete) {
    delete rootProject.buildDir
}